Retrieve token exchange UAA client credentials

Retrieve token exchange UAA client credentials
Retrieve token exchange UAA client credentials

Returns the token_exchange_api_access UAA client name, secret, and connection details. Tiles and other consumers use these credentials to perform RFC 8693 token exchange against this foundation's UAA.

Version detection: Older Ops Manager versions that do not support token exchange do not have this route and will return 404. A 200 response indicates the current version supports token exchange. The client secret is always present; whether token exchange trust has been configured with a Hub UAA is a separate concern available from GET /api/v0/uaa/token_exchange_trust.

This endpoint is accessible to all authenticated users, including restricted viewers.

Request
URI
GET
https://{opsmanager-installation}/api/v0/uaa/token_exchange_client
COPY
Responses
200

OK

Returns TokenExchangeClient of type(s) application/json
{
    "token_exchange_client": {
        "uaa_client_name": "string",
        "uaa_client_secret": "string",
        "hostname": "string",
        "port": 0
    }
}
token_exchange_client
Optional

token_exchange_client


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/uaa/token_exchange_client